datacache <- new.env(hash=TRUE, parent=emptyenv())

homolog_dbconn <- function() dbconn(datacache)
homolog_dbfile <- function() dbfile(datacache)
homolog_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, 
    file=file, show.indices=show.indices)
homolog_dbInfo <- function() dbInfo(datacache)

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)   
    warning(sprintf("\n*** Stale annotation package warning ***:\nThe package '%s' has not been updated by it's contributor.\nIt is out of date and may not be supported after Bioc release 2.5.\nIf you want a newer version you should use PAnnBuilder to make one.\n\n", pkgname))
    require("PAnnBuilder", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "homolog.sqlite", package="homolog.db", 
        lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs("HOMOLOGENE", "homolog", datacache, dbconn)    
    mergeToNamespaceAndExport(ann_objs, "homolog.db" )
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(homolog_dbconn())
}

