\name{homolog_dbconn}
\alias{homolog_dbconn}
\alias{homolog_dbfile}
\alias{homolog_dbschema}
\alias{homolog_dbInfo}
\title{Collect information about the package annotation DB}
\description{  
  Some convenience functions for getting a connection object to (or collecting 
  information about) the package annotation DB. 
}
\usage{
  homolog_dbconn()
  homolog_dbfile()
  homolog_dbschema(file="", show.indices=FALSE)
  homolog_dbInfo()
}
\arguments{ 
  \item{file}{A connection, or a character string naming the file to print to 
    (see the file argument of the cat function for the details). }
  \item{show.indices}{The CREATE INDEX statements are not shown by default. Use 
    show.indices=TRUE to get them. }
}
\details{
  \code{homolog_dbconn} returns a connection object to the package annotation DB. 
  IMPORTANT: Don't call \code{\link[DBI]{dbDisconnect}} on the connection object 
  returned by \code{homolog_dbconn} or you will break all the 
  \code{\link[AnnotationDbi]{AnnDbObj}} objects defined in this package! 

  \code{homolog_dbfile} returns the path (character string) to the package
  annotation DB (this is an SQLite file). 

  \code{homolog_dbschema} prints the schema definition of the package annotation
  DB. 

  \code{homolog_dbInfo} prints other information about the package annotation
  DB. 
}
\examples{
  ## Show the first three rows.
  dbGetQuery(homolog_dbconn(), "select * from homolog limit 3")

  ## The connection object returned by homolog_dbconn() was created with:
  dbConnect(SQLite(), dbname=homolog_dbfile(), cache_size=64000, synchronous=0)

  homolog_dbschema()

  homolog_dbInfo()
}
